using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate636 : MulticastDelegate
{
	public extern void Invoke(ref AsyncVoidMethodBuilder asyncVoidMethodBuilder_0);

	public static void smethod_0(ref AsyncVoidMethodBuilder asyncVoidMethodBuilder_0, Delegate636 delegate636_1)
	{
		delegate636_1(ref asyncVoidMethodBuilder_0);
	}

	public extern Delegate636(object object_0, IntPtr intptr_0);

	static Delegate636()
	{
		Class10.smethod_13(typeof(Delegate636).TypeHandle);
	}

	internal static Delegate636 delegate636_0;
}
